summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-07-13 18:31:31 +0000
committer Eric Hameleers <alien@slackware.com>2020-07-14 08:59:52 +0200
commit3eaac2f43ab407a116575e1268f918d8b32888b8 (patch)
treebc4e779e5569429fa5409042eef21c85a2baeb30 /source
parent054448fcd15cc2919dd15f4bdd984d21b97ee3a3 (diff)
downloadcurrent-3eaac2f43ab407a116575e1268f918d8b32888b8.tar.gz
current-3eaac2f43ab407a116575e1268f918d8b32888b8.tar.xz
Mon Jul 13 18:31:31 UTC 202020200713183131
a/kernel-firmware-20200713_3d3a06f-noarch-1.txz: Upgraded. d/meson-0.55.0-x86_64-1.txz: Upgraded. d/python-setuptools-49.2.0-x86_64-1.txz: Upgraded. l/libcap-2.39-x86_64-1.txz: Upgraded. l/libzip-1.7.2-x86_64-1.txz: Upgraded. n/alpine-2.23.2-x86_64-1.txz: Upgraded. n/libmilter-8.16.1-x86_64-1.txz: Upgraded. n/mutt-1.14.6-x86_64-1.txz: Upgraded. x/xterm-358-x86_64-1.txz: Upgraded. extra/xfractint/xfractint-20.04p15-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/n/alpine/alpine.SlackBuild2
-rw-r--r--source/n/alpine/alpine.url1
-rwxr-xr-xsource/n/libmilter/libmilter.SlackBuild8
-rw-r--r--source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch39
-rwxr-xr-xsource/n/php/php.SlackBuild2
5 files changed, 6 insertions, 46 deletions
diff --git a/source/n/alpine/alpine.SlackBuild b/source/n/alpine/alpine.SlackBuild
index 17d7e5de7..a42ff4ada 100755
--- a/source/n/alpine/alpine.SlackBuild
+++ b/source/n/alpine/alpine.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=alpine
-VERSION=${VERSION:-2.23}
+VERSION=${VERSION:-2.23.2}
ALPINEBUILD=${ALPINEBUILD:-1}
IMAPDBUILD=${IMAPDBUILD:-1}
PINEPGP=${PINEPGP:-0.18.0}
diff --git a/source/n/alpine/alpine.url b/source/n/alpine/alpine.url
new file mode 100644
index 000000000..cc0a412b3
--- /dev/null
+++ b/source/n/alpine/alpine.url
@@ -0,0 +1 @@
+http://alpine.x10host.com/alpine/release/
diff --git a/source/n/libmilter/libmilter.SlackBuild b/source/n/libmilter/libmilter.SlackBuild
index 7d59641d8..de1113f27 100755
--- a/source/n/libmilter/libmilter.SlackBuild
+++ b/source/n/libmilter/libmilter.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libmilter
-VERSION=${VERSION:-8.15.2}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-8.16.1}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf sendmail-$VERSION
-tar xvf $CWD/sendmail.$VERSION.tar.gz || exit 1
+tar xvf $CWD/sendmail.$VERSION.tar.?z || exit 1
cd sendmail-$VERSION || exit 1
chown -R root:root .
@@ -81,8 +81,6 @@ find -L . \
cat $CWD/site.config.m4 | sed "s,@LIBDIRSUFFIX@,$LIBDIRSUFFIX," \
> devtools/Site/site.config.m4
-zcat $CWD/sendmail-8.15.2-gethostbyname2.patch.gz | patch -p1 --verbose || exit 1
-
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/include/$PKGNAM
make -C $PKGNAM O="$SLKCFLAGS" install DESTDIR=$PKG || exit 1
diff --git a/source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch b/source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch
deleted file mode 100644
index 03ff909d3..000000000
--- a/source/n/libmilter/sendmail-8.15.2-gethostbyname2.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-diff --git a/libmilter/sm_gethost.c b/libmilter/sm_gethost.c
-index a025c8f..cd0ef31 100644
---- a/libmilter/sm_gethost.c
-+++ b/libmilter/sm_gethost.c
-@@ -49,8 +49,16 @@ sm_getipnodebyname(name, family, flags, err)
- int flags;
- int *err;
- {
-- bool resv6 = true;
- struct hostent *h;
-+# if HAS_GETHOSTBYNAME2
-+
-+ h = gethostbyname2(name, family);
-+ if (h == NULL)
-+ *err = h_errno;
-+ return h;
-+
-+# else /* HAS_GETHOSTBYNAME2 */
-+ bool resv6 = true;
-
- if (family == AF_INET6)
- {
-@@ -60,7 +68,7 @@ sm_getipnodebyname(name, family, flags, err)
- }
- SM_SET_H_ERRNO(0);
- h = gethostbyname(name);
-- if (family == AF_INET6 && !resv6)
-+ if (!resv6)
- _res.options &= ~RES_USE_INET6;
-
- /* the function is supposed to return only the requested family */
-@@ -75,6 +83,7 @@ sm_getipnodebyname(name, family, flags, err)
- else
- *err = h_errno;
- return h;
-+# endif /* HAS_GETHOSTBYNAME2 */
- }
-
- void
diff --git a/source/n/php/php.SlackBuild b/source/n/php/php.SlackBuild
index 0b8de23ca..99caf8b78 100755
--- a/source/n/php/php.SlackBuild
+++ b/source/n/php/php.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=php
VERSION=${VERSION:-$(echo php-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-ALPINE=2.23
+ALPINE=2.23.2
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on: